PrimitiveSetIndirect File Reference
`#include <osg/PrimitiveSet>`

Go to the source code of this file.

## Classes

class | osg::IndirectCommandDrawArrays
| common interface for IndirectCommandDrawArrayss More...
class | osg::IndirectCommandDrawElements
struct | osg::DrawArraysIndirectCommand
| DrawArraysCommand. More...
class | osg::DefaultIndirectCommandDrawArrays
struct | osg::DrawElementsIndirectCommand
class | osg::DefaultIndirectCommandDrawElements
| vector of DrawElementsCommand to be hosted on GPU More...
class | osg::DrawElementsIndirect
| The DrawElementsIndirect base PrimitiveSet. More...
class | osg::DrawElementsIndirectUByte
| The DrawElementsIndirectUByte PrimitiveSet. More...
class | osg::DrawElementsIndirectUShort
| The DrawElementsIndirectUShort PrimitiveSet. More...
class | osg::DrawElementsIndirectUInt
| The DrawElementsIndirectUInt PrimitiveSet. More...
class | osg::MultiDrawElementsIndirectUShort
| The MultiDrawElementsIndirect PrimitiveSets. More...
class | osg::MultiDrawElementsIndirectUByte
class | osg::MultiDrawElementsIndirectUInt
class | osg::DrawArraysIndirect
| The MultiDrawArraysIndirect PrimitiveSet. More...
class | osg::MultiDrawArraysIndirect
| The MultiDrawArraysIndirect PrimitiveSet. More...

## Namespaces

namespace | osg

## Macros

#define | OSG_INDIRECTPRIMITIVESET 1

## Macro Definition Documentation

## OSG_INDIRECTPRIMITIVESET

#define OSG_INDIRECTPRIMITIVESET 1